Bug 12764 - systemd: fix detection of libsystemd
systemd: fix detection of libsystemd
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.6.2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-02 11:15 UTC by Alexander Bokovoy
Modified: 2017-05-04 07:07 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.6 branch (2.36 KB, patch)
2017-05-02 11:15 UTC, Alexander Bokovoy
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bokovoy 2017-05-02 11:15:33 UTC
Created attachment 13187 [details]
patch for 4.6 branch

On Fedora 25 detection of libsystemd actually fails due to wrong assumptions in the configure test. conf.CHECK_LIB returns a list so 'not conf.CHECK_LIB(...)' is always False and we never get to check libsystemd.

Instead, remember result of checking pkg-config for separate libsystemd-daemon and libsystemd-journal libraries. If they miss, attempt to use libsystemd library instead.
Comment 1 Alexander Bokovoy 2017-05-02 11:15:54 UTC
Comment on attachment 13187 [details]
patch for 4.6 branch

Andreas, please review.
Comment 2 Andreas Schneider 2017-05-02 12:18:38 UTC
Karolin, please add the patch to the next release. Thanks!
Comment 3 Karolin Seeger 2017-05-03 14:48:33 UTC
(In reply to Andreas Schneider from comment #2)
Pushed to autobuild-v4-6-test.
Comment 4 Karolin Seeger 2017-05-04 07:07:47 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-6-test.
Closing out bug report.

Thanks!